//
//  CSReleaseItem.h
//  C64SceneBrowser
//
//  Created by Andreas Varga on 17.03.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "CSDatabaseItem.h"
#import "TBXML.h"

@class CSEventItem;


@interface CSReleaseItem : CSDatabaseItem
{
}

@property BOOL is_loadmore_item;
@property (strong, nonatomic) NSString* name;
@property (strong, nonatomic) NSString* releaseType;
@property (strong, nonatomic) NSDateComponents* releaseDate;
@property (strong, nonatomic) NSString* screenshot;
@property (strong, nonatomic) NSString* rating;
@property (strong, nonatomic) CSEventItem* releasedAtEvent;
@property (strong, nonatomic) NSString* achievement;
@property (strong, nonatomic) NSMutableArray* releaseGroups;
@property (strong, nonatomic) NSMutableArray* releaseSceners;
@property (strong, nonatomic) NSMutableDictionary* creditsDictionary;
@property (strong, nonatomic) NSMutableArray* creditTypes;
@property (strong, nonatomic) NSMutableArray* comments;
@property (strong, nonatomic) NSMutableArray* summaries;
@property (strong, nonatomic) NSMutableArray* productionNotes;
@property (strong, nonatomic) NSMutableArray* goofs;
@property (strong, nonatomic) NSMutableArray* hiddenParts;
@property (strong, nonatomic) NSMutableArray* trivias;
@property (strong, nonatomic) NSMutableArray* downloadURLs;


- (id) initWithReleaseId:(NSString*)releaseId;
- (id) initWithXMLElement:(TBXMLElement*)releaseElement;
- (id) setFromXMLElement:(TBXMLElement*)releaseElement;

- (NSComparisonResult) compareReleaseDates:(CSReleaseItem*)otherItem;

@end
