//
//  MembershipViewController.m
//  C64SceneBrowser
//
//  Created by Andreas Varga on 21.06.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "MembershipViewController.h"
#import "MembershipView.h"
#import "CSScenerItem.h"


@implementation MembershipViewController

@synthesize currentHeight = _currentHeight;
@synthesize currentWidth = _currentWidth;
@synthesize scener = _scener;


// ----------------------------------------------------------------------------
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
// ----------------------------------------------------------------------------
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) 
    {
        
    }
    return self;
}


// ----------------------------------------------------------------------------
- (void)viewDidLoad
// ----------------------------------------------------------------------------
{
    [super viewDidLoad];
    
    _membershipView.scener = _scener;
    
    float width = [_membershipView desiredWidth];
    float height = [_membershipView desiredHeight];
    _membershipScrollView.contentSize = CGSizeMake(width, height);
    _membershipView.frame = CGRectMake(0.0f, 0.0f, width, height);
    
    [_membershipScrollView setNeedsDisplay];
    [_membershipView setNeedsDisplay];
    
    _currentWidth = width;
    _currentHeight = height;
    
    if (INTERFACE_IS_PHONE)
        ((UINavigationItem*)[_navigationBar.items objectAtIndex:0]).title = [NSString stringWithFormat:@"Membership History of %@", _scener.handle];
}


// ----------------------------------------------------------------------------
- (void)viewDidUnload
// ----------------------------------------------------------------------------
{
    [super viewDidUnload];
}


// ----------------------------------------------------------------------------
- (BOOL) shouldAutorotate
// ----------------------------------------------------------------------------
{
    return YES;
}


// ----------------------------------------------------------------------------
- (NSUInteger) supportedInterfaceOrientations
// ----------------------------------------------------------------------------
{
    return UIInterfaceOrientationMaskLandscape;
}


// ----------------------------------------------------------------------------
- (UIInterfaceOrientation)preferredInterfaceOrientationForPresentation
// ----------------------------------------------------------------------------
{
    return UIInterfaceOrientationLandscapeLeft;
}


// ----------------------------------------------------------------------------
- (IBAction)dismiss:(id)sender
// ----------------------------------------------------------------------------

{
    [self dismissViewControllerAnimated:YES completion:NULL];
}



@end
